org.keycloak.services.resources.admin

## Class AdminConsole.WhoAmI

- java.lang.Object
- - org.keycloak.services.resources.admin.AdminConsole.WhoAmI

- Enclosing class:
    AdminConsole

      public static class AdminConsole.WhoAmI
      extends Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected boolean` | `createRealm`
    `protected String` | `displayName`
    `protected String` | `realm`
    `protected Map<String,Set<String>>` | `realmAccess`
    `protected String` | `userId`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AdminConsole.WhoAmI()`
    `AdminConsole.WhoAmI(String userId, String realm, String displayName, boolean createRealm, Map<String,Set<String>> realmAccess)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getDisplayName()`
    `String` | `getRealm()`
    `Map<String,Set<String>>` | `getRealmAccess()`
    `String` | `getUserId()`
    `boolean` | `isCreateRealm()`
    `void` | `setCreateRealm(boolean createRealm)`
    `void` | `setDisplayName(String displayName)`
    `void` | `setRealm(String realm)`
    `void` | `setRealmAccess(Map<String,Set<String>> realmAccess)`
    `void` | `setUserId(String userId)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### userId

          protected String userId

    - #### realm

          protected String realm

    - #### displayName

          protected String displayName

    - #### createRealm

          protected boolean createRealm

    - #### realmAccess

          protected Map<String,Set<String>> realmAccess

  - ### Constructor Detail

    - #### AdminConsole.WhoAmI

          public AdminConsole.WhoAmI()

    - #### AdminConsole.WhoAmI

          public AdminConsole.WhoAmI(String userId,
                             String realm,
                             String displayName,
                             boolean createRealm,
                             Map<String,Set<String>> realmAccess)

  - ### Method Detail

    - #### getUserId

          public String getUserId()

    - #### setUserId

          public void setUserId(String userId)

    - #### getRealm

          public String getRealm()

    - #### setRealm

          public void setRealm(String realm)

    - #### getDisplayName

          public String getDisplayName()

    - #### setDisplayName

          public void setDisplayName(String displayName)

    - #### isCreateRealm

          public boolean isCreateRealm()

    - #### setCreateRealm

          public void setCreateRealm(boolean createRealm)

    - #### getRealmAccess

          public Map<String,Set<String>> getRealmAccess()

    - #### setRealmAccess

          public void setRealmAccess(Map<String,Set<String>> realmAccess)

Copyright © 2015. All rights reserved.